<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['house-title2'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['house_id'])) puterror2($TEXT['error-house5']);
  if(strlen($_POST['house_id'])>11) puterror2($TEXT['error-house6']);
  $_POST['house_id'] = rep($_POST['house_id']);

  //*************************************
  $query = "SELECT * FROM `tbl_house` WHERE `house_id`='".$_POST['house_id']."' ";
  $result = mysql_query($query);
  if (!$result) puterror2($TEXT['error-tbl4']);
     $result2 = mysql_fetch_array($result);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-house2'];
  $what = $result2['house'].$TEXT['log-id'].$_POST['house_id'];
  $who = $result2['fullname'];
  //*************************************
  $query = "DELETE FROM `tbl_house` WHERE `house_id`='".$_POST['house_id']."' LIMIT 1";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-house7']);
  require_once "../util/bottom.php";
?>
